Bug 1053747 - Faulty storage allocation checks when exporting a VM
Summary: Faulty storage allocation checks when exporting a VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: All
medium
high
Target Milestone: ---
: 3.5.0
Assignee: Vered Volansky
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks: 960934 1136717
TreeView+ depends on / blocked
 
Reported: 2014-01-15 17:26 UTC by Allon Mureinik
Modified: 2016-02-10 19:43 UTC (History)
16 users (show)

Fixed In Version: ovirt-3.5.0_rc3
Doc Type: Bug Fix
Doc Text:
Clone Of: 1053746
: 1136717 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:43:17 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 32897 0 master MERGED core: ExportVMCommand storage allocation checks Never
oVirt gerrit 32966 0 ovirt-engine-3.5 MERGED core: ExportVMCommand storage allocation checks Never

Description Allon Mureinik 2014-01-15 17:26:38 UTC
+++ This bug was initially created as a clone of Bug #1053746 +++

+++ This bug was initially created as a clone of Bug #1053733 +++

+++ This bug was initially created as a clone of Bug #960934 +++

The storage requirements for each disk in the exported VM:
(note that an export domain can only be a file domain)

 qcow | preallocated : 1.1 * disk capacity      
      | sparse: 1.1 * min(used ,capacity)       
 -----|-----------------------------------------
 raw  | preallocated: disk capacity             
      | sparse: min(used,capacity)

Comment 1 Sandro Bonazzola 2014-10-17 12:43:17 UTC
oVirt 3.5 has been released and should include the fix for this issue.

Comment 2 Vered Volansky 2014-10-19 11:30:42 UTC
Exporting disks with snapshots can be done either with the snapshots as is, or with the snapshots collapsed. For the latter the table from comment#0 applies.
For the first case (non-collapsed) the following table applies:

 qcow | 1.1 * used space            
 -----|-----------------------------
 raw  | preallocated: disk capacity 
      | sparse: used space          

When verifying this bug both cases should be verified, positive and negative tests: Verify against a storage domain with and without enough space - just about the needed/excess space for the disks. Verify it succeeds when there's enough space and fails on CDA when it doesn't.

Threshold should also be verified on this bug.

If a VM has memory volumes, their space should also be taken into consideration (for every snapshot).
The metadata volume's size is negligible (10KB) and is always Cow, Sparse.
The memory volume's size varies, is always RAW, and is Sparse for file domains and Preallocated for block domains.


Note You need to log in before you can comment on or make changes to this bug.